Bug 148582 - [PATCH] audio/gmm: update to 0.10.25
Summary: [PATCH] audio/gmm: update to 0.10.25
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcelo Araujo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-13 23:30 UTC by baptiste.daroussin
Modified: 2010-07-18 22:30 UTC (History)
1 user (show)

See Also:


Attachments
gmm-0.10.25.patch (20.28 KB, patch)
2010-07-13 23:30 UTC, baptiste.daroussin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description baptiste.daroussin 2010-07-13 23:30:07 UTC
- Update to 0.10.25
- Optionify
- Remove useless GTK deps
- Unbashify
- Repects NLS
- Add license

Added file(s):
- files/patch-build__byteorderdetect
- files/patch-configure

Port maintainer (sklauder@trimind.de) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2010-07-13 23:30:16 UTC
Maintainer of audio/gmm,

Please note that PR ports/148582 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/148582

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-07-13 23:30:20 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Marcelo Araujo freebsd_committer 2010-07-14 03:10:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

I'll take it.
Comment 4 Sascha Klauder 2010-07-14 11:25:57 UTC
Looks fine to me.  You may assume maintainership, as I'm
not really using this anymore.

Cheers,
-sascha
Comment 5 Marcelo Araujo freebsd_committer 2010-07-18 17:35:24 UTC
State Changed
From-To: feedback->patched

Seems that there is an error in pkg-plist, please take a look at: 
http://regis.goodking.ca:8000/tb/errors/8-araujo/gmm-0.10.25.log 

If there is any thing that I can do to help you to fix it, contact me.
Comment 6 baptiste.daroussin 2010-07-18 18:03:37 UTC
This new patch fixes the %%NLS%% plist bug and update to 0.10.26 which
integrates the bash->sh patches

--- gmm.patch begins here ---
diff -Nrau gmm.orig/Makefile gmm/Makefile
--- gmm.orig/Makefile	2010-07-18 19:06:40.026789026 +0200
+++ gmm/Makefile	2010-07-18 19:04:36.923205386 +0200
@@ -6,45 +6,62 @@
 #
 
 PORTNAME=	gmm
-PORTVERSION=	0.10.22
-PORTREVISION=	1
+PORTVERSION=	0.10.26
 CATEGORIES=	audio
 MASTER_SITES=	http://gogglesmm.googlecode.com/files/
-DISTNAME=	musicmanager-${PORTVERSION}
+DISTNAME=	gogglesmm-${PORTVERSION}
 
 MAINTAINER=	sklauder@trimind.de
 COMMENT=	Music collection manager and player
 
-BUILD_DEPENDS=	bash:${PORTSDIR}/shells/bash
 LIB_DEPENDS=	FOX-1.6:${PORTSDIR}/x11-toolkits/fox16 		\
 		xine.1:${PORTSDIR}/multimedia/libxine		\
 		tag.1:${PORTSDIR}/audio/taglib			\
-		sqlite3.8:${PORTSDIR}/databases/sqlite3		\
-		dbus-1:${PORTSDIR}/devel/dbus			\
-		curl.6:${PORTSDIR}/ftp/curl
+		sqlite3.8:${PORTSDIR}/databases/sqlite3
+
+OPTIONS=	DBUS "Add DBUS support" on \
+		CURL "Add Curl support" on \
+		NLS "Add support for nls" on \
+		NEWREMOTE "Use new remote player" on
 
 GNU_CONFIGURE=	yes
 MAKE_JOBS_SAFE=	yes
 USE_GMAKE=	yes
-USE_BZIP2=	yes
-USE_GETTEXT=	yes
-USE_GNOME=	gtk20
+USE_XZ=		yes
 INSTALLS_ICONS=	yes
 
+LICENSE=	GPLv3
+LICENSE_FILE=	${WRKSRC}/COPYING
+
 PORTDOCS=	README AUTHORS
 
 CONFIGURE_ENV=	OPT_CFLAGS=" "
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
+.if defined(WITHOUT_DBUS)
+CONFIGURE_ARGS+=	--without-dbus
+.else
+LIB_DEPENDS+=	dbus-1:${PORTSDIR}/devel/dbus
+.endif
+
+.if defined(WITHOUT_CURL)
+CONFIGURE_ARGS+=	--without-curl
+.else
+LIB_DEPENDS+=	curl.6:${PORTSDIR}/ftp/curl
+.endif
+
+.if defined(WITHOUT_NLS)
+CONFIGURE_ARGS+=--disable-nls
+PLIST_SUB=	NLS="@comment "
+.else
+PLIST_SUB=	NLS=""
+USE_GETTEXT=	yes
+.endif
 
 .if defined(WITHOUT_NEWREMOTE)
 CONFIGURE_ARGS+=--without-new-remote
 .endif
 
-post-patch:
-	@${REINPLACE_CMD} -i '' -e "s|/bin/bash|${LOCALBASE}/bin/bash|; \
-		s|/usr/local|${LOCALBASE}|" ${WRKSRC}/configure
-
 post-configure:
 	@${REINPLACE_CMD} -i '' -e 's| -[DT] | |g' \
 		${WRKSRC}/Makefile
@@ -57,4 +74,4 @@
 . endfor
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff -Nrau gmm.orig/distinfo gmm/distinfo
--- gmm.orig/distinfo	2010-07-18 19:06:40.022789087 +0200
+++ gmm/distinfo	2010-07-18 19:01:09.387907373 +0200
@@ -1,3 +1,3 @@
-MD5 (musicmanager-0.10.22.tar.bz2) = 0379054b9cf2a2d4074a0129d03b3763
-SHA256 (musicmanager-0.10.22.tar.bz2) = 8083dab95a483ba975873ce6bed1054752b2fdb207d2424383aa1d77593ee536
-SIZE (musicmanager-0.10.22.tar.bz2) = 422520
+MD5 (gogglesmm-0.10.26.tar.xz) = 0af437902dcc0b1da49b3d48df930d8e
+SHA256 (gogglesmm-0.10.26.tar.xz) = 1200b4a9fdc507a94e4ffd19a821418f0ec1df300a0deaef292141824035c2c3
+SIZE (gogglesmm-0.10.26.tar.xz) = 361804
diff -Nrau gmm.orig/pkg-plist gmm/pkg-plist
--- gmm.orig/pkg-plist	2010-07-18 19:06:40.020788838 +0200
+++ gmm/pkg-plist	2010-07-18 18:59:31.754238816 +0200
@@ -1,10 +1,10 @@
-bin/gmm
-share/applications/gmm.desktop
-share/icons/hicolor/48x48/apps/gmm.png
-share/locale/de/LC_MESSAGES/gogglesmm.mo
-share/locale/es/LC_MESSAGES/gogglesmm.mo
-share/locale/fr/LC_MESSAGES/gogglesmm.mo
-share/locale/ru/LC_MESSAGES/gogglesmm.mo
-share/locale/hu/LC_MESSAGES/gogglesmm.mo
-share/locale/cs/LC_MESSAGES/gogglesmm.mo
+bin/gogglesmm
+share/applications/gogglesmm.desktop
+share/icons/hicolor/48x48/apps/gogglesmm.png
+%%NLS%%share/locale/de/LC_MESSAGES/gogglesmm.mo
+%%NLS%%share/locale/es/LC_MESSAGES/gogglesmm.mo
+%%NLS%%share/locale/fr/LC_MESSAGES/gogglesmm.mo
+%%NLS%%share/locale/ru/LC_MESSAGES/gogglesmm.mo
+%%NLS%%share/locale/hu/LC_MESSAGES/gogglesmm.mo
+%%NLS%%share/locale/cs/LC_MESSAGES/gogglesmm.mo
 @dirrmtry share/applications
--- gmm.patch ends here ---
Comment 7 dfilter service freebsd_committer 2010-07-18 22:27:18 UTC
araujo      2010-07-18 21:27:09 UTC

  FreeBSD ports repository

  Modified files:
    audio/gmm            Makefile distinfo pkg-plist 
  Log:
  - Update to 0.10.26.
  - Optionify.
  - Remove useless GTK deps.
  - Unbashify.
  - Repects NLS.
  - Add license.
  - Pass maintainership to submitter.
  
  PR:             ports/148582
  Submitted by:   Bapt <baptiste.daroussin@gmail.com>
  Approved by:    Sascha Klauder <sklauder@trimind.de> (maintainer)
  
  Revision  Changes    Path
  1.23      +34 -17    ports/audio/gmm/Makefile
  1.12      +3 -3      ports/audio/gmm/distinfo
  1.5       +12 -9     ports/audio/gmm/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Marcelo Araujo freebsd_committer 2010-07-18 22:27:29 UTC
State Changed
From-To: patched->closed

Committed, with minor changes. Thanks!